function BrowserMenuInfo() {

	//alert("Creating instance of BrowserLayerInfo.");
	if (is.ns4) {
		if (is.win32) {
			this.itemHeight = 16;
		} else if (is.linux) {
			this.itemHeight = 15;
		} else {
			this.itemHeight = 15;
		}
		this.cellOffset  = 2;
		this.leftOffset  = 2;
		this.mTopOffset  = 2;
		this.wBarPadding = 4;
		this.hBarPadding = 6;
		this.itemPadding = 10;
		this.itemSpacing = 2;
		this.menuPadding = -2;
		this.mBarOffset  = 4;
		this.bBarOffset  = -2;
		this.dividerHeight = 2;
		this.bwPadding = 4;
		this.bhPadding = 4;
		this.fontSize = 12;
		if (is.win32) {
			this.charWidth = 7;
		} else if (is.linux) {
			this.charWidth = 6;
		} else {
			this.charWidth = 6;
		}
		this.divType = "layer";
		//Now set foreground/background colors -- Netscape 4.xx only.
		window.mtActive   = "#FFFF00";
		window.mtPassive  = "#FFFFFF";
		window.mbActive   = "#FF0000";
		window.mbPassive  = "#081C92";
	} else if (is.kq) {
		this.itemHeight  = 18;
		this.cellOffset  = 4;
		this.leftOffset  = 0;
		this.mTopOffset  = 0;
		this.wBarPadding = 2;
		this.hBarPadding = 6;
		this.itemSpacing = 0;
		this.itemPadding = 2;
		this.menuPadding = 0;
		this.mBarOffset  = 4;
		this.bBarOffset  = 4;
		this.dividerHeight = 1;
		this.bwPadding = 2;
		this.bhPadding = 4;
		this.fontSize = 10;
		this.charWidth = 7;
		this.divType = "div";
	} else if (is.op5 || is.op6) {
		this.itemHeight  = 17;
		this.cellOffset  = 4;
		this.leftOffset  = 2;
		this.mTopOffset  = 0;
		this.wBarPadding = 2;
		this.hBarPadding = 6;
		this.itemPadding = 10;
		this.itemSpacing = 2;
		this.menuPadding = 2;
		this.mBarOffset  = 6;
		this.bBarOffset  = 4;
		this.dividerHeight = 1;
		this.bwPadding = 2;
		this.bhPadding = 4;
		this.fontSize = 10;
		this.charWidth = 6;
		this.divType = "div";
	} else if (is.ie4) {
		this.itemHeight  = 18;
		this.cellOffset  = 0;
		this.leftOffset  = 0;
		this.mTopOffset  = 0;
		this.wBarPadding = 4;
		this.hBarPadding = 5;
		this.itemPadding = 10;
		this.itemSpacing = 2;
		this.menuPadding = -2;
		this.mBarOffset  = 3;
		this.bBarOffset  = -3;
		this.dividerHeight = 1;
		this.bwPadding = 4;
		this.bhPadding = 2;
		this.fontSize = 10;
		this.charWidth = 6;
		this.divType = "div";
	} else if (is.ie5) {
		this.itemHeight  = 20;
		this.cellOffset  = 0;
		this.leftOffset  = 0;
		this.mTopOffset  = 0;
		this.wBarPadding = 4;
		this.hBarPadding = 8;
		this.itemPadding = 11;
		this.itemSpacing = 0;
		this.menuPadding = 2;
		this.mBarOffset  = 4;
		this.bBarOffset  = -2;
		this.dividerHeight = 1;
		this.bwPadding = 4;
		this.bhPadding = 2;
		this.fontSize = 10;
		this.charWidth = 6;
		this.divType = "div";
	} else if (is.ie6) {
		this.itemHeight  = 18;
		this.cellOffset  = 4;
		this.leftOffset  = 0;
		this.mTopOffset  = 0;
		this.wBarPadding = 0;
		this.hBarPadding = 6;
		this.itemPadding = 11;
		this.itemSpacing = 2;
		this.menuPadding = 2;
		this.mBarOffset  = 4;
		this.bBarOffset  = 4;
		this.dividerHeight = 1;
		this.bwPadding = 2;
		this.bhPadding = 4;
		this.fontSize = 10;
		this.charWidth = 6;
		this.divType = "div";
	} else if (is.mza || is.gla || is.ns6) {
		this.itemHeight = 18;
		this.cellOffset  = 4;
		this.leftOffset  = 0;
		this.mTopOffset  = 0;
		this.wBarPadding = 2;
		this.hBarPadding = 6;
		this.itemSpacing = 0;
		this.itemPadding = 2;
		this.menuPadding = 0;
		this.mBarOffset  = 4;
		this.bBarOffset  = 4;
		this.dividerHeight = 1;
		this.bwPadding = 2;
		this.bhPadding = 4;
		if (is.win32) {
			this.fontSize = 10;
		} else if (is.linux) {
			this.fontSize = 12;
		} else {
			this.fontSize = 10;
		}
		this.charWidth = 7;
		this.divType = "div";
	} else if (is.w3c) {
		this.itemHeight  = 19;
		this.cellOffset  = 0;
		this.leftOffset  = 0;
		this.mTopOffset  = 0;
		this.wBarPadding = 0;
		this.hBarPadding = 0;
		this.itemSpacing = 6;
		this.itemPadding = 2;
		this.menuPadding = 0;
		this.mBarOffset  = 3;
		this.bBarOffset  = 5;
		this.dividerHeight = 1;
		this.bwPadding = 0;
		this.bhPadding = 0;
		this.fontSize = 10;
		this.charWidth = 7;
		this.divType = "div";
	} else {
		alert("This should never happen.");
		return 0;
	}
}